#include "Reaktor.h"

Reaktor::Reaktor() : inhalt(0, 0) {}

Reaktor &Reaktor::operator<(const Atomkern &a) {
  inhalt += a;
  return *this;
}

Reaktor &Reaktor::operator>(const Atomkern &a) {
  inhalt -= a;
  return *this;
}

Atomkern Reaktor::operator*() const { return inhalt; }

void Reaktor::operator~() { inhalt = Atomkern(0, 0); }
